#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	zip
Version		:	30
Release		:	17.0.10.rel%{?dist}
Summary		:	A file compression and packaging utility compatible with PKZIP
Group		:	Applications/Archiving

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://downloads.sourceforge.net/infozip

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
%description
The Zip package contains Zip utilities. These are useful for compressing
files into ZIP archives. 
Zip is analogous to a combination of the UNIX tar and compress commands and
is compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README TODO
%{_bindir}/%{name}*
%{_mandir}/man1/*.gz

#=============================================================================
%prep
%setup -q -n %{name}%{version}

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	-f unix/Makefile				\
	generic_gcc

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-f unix/Makefile				\
	prefix=%{buildroot}				\
	BINDIR=%{buildroot}%{_bindir}			\
	MANDIR=%{buildroot}%{_mandir}/man1		\
	install
	

#-----------------------------------------------------------------------------
%changelog
